> For the complete documentation index, see [llms.txt](https://docs.ox.security/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ox.security/api-documentation/api-reference/api--application/types/enums/order-by-field.md).

# orderByField

Available fields for sorting operations in queries.

### Examples

```graphql
enum OrderByField {
  BusinessPriority
  ScoreCreationTime
  AppName
  SecurityPosture
  CategoryViolations
  Severities
  OxInPipeline
  Developers
  LastCodeChange
  Reasons
  Info
  IrrelevantDate
}
```

### Enum values

| Enum value         | Description                             |
| ------------------ | --------------------------------------- |
| BusinessPriority   | Sort by business priority score         |
| ScoreCreationTime  | Sort by score creation timestamp        |
| AppName            | Sort alphabetically by application name |
| SecurityPosture    | Sort by security posture score          |
| CategoryViolations | Sort by number of category violations   |
| Severities         | Sort by severity levels                 |
| OxInPipeline       | Sort by Ox pipeline integration status  |
| Developers         | Sort by number of developers            |
| LastCodeChange     | Sort by last code change timestamp      |
| Reasons            | Sort by reason descriptions             |
| Info               | Sort by informational content           |
| IrrelevantDate     | Sort by irrelevant date                 |

### References

#### Fields with this object:

* [{} OrderAppsBy.field](/api-documentation/api-reference/api--application/types/inputs/order-apps-by.md)
* [{} OrderBy.field](/api-documentation/api-reference/api--issue/types/inputs/order-by.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ox.security/api-documentation/api-reference/api--application/types/enums/order-by-field.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
